# Interface ReturnBoolExp<T>

interface ReturnBoolExp<T> {
_and?: T[];
_not?: T;
_or?: T[];
relation: string;
return?: {
[key: string]: ReturnBoolExp;
};
table?: string;
[key: string]: any;
}

#### Type Parameters

- T = any

#### Hierarchy (view full)

- BoolExp<T>
  - ReturnBoolExp

#### Indexable

- [key: string]: any

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:26

#####
Index

### Properties

_and?
_not?
_or?
relation
return?
table?

##
Properties

### `Optional`_and

_and?: T[]

Overrides BoolExp._and

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:27

### `Optional`_not

_not?: T

Overrides BoolExp._not

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:29

### `Optional`_or

_or?: T[]

Overrides BoolExp._or

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:28

### relation

relation: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:31

### `Optional` return

return?: {
[key: string]: ReturnBoolExp;
}

Overrides BoolExp.return

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:30

### `Optional` table

table?: string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:32